# Copyright (c) 2022, NVIDIA CORPORATION.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# directly expose any extensions: this is a thin wrapper
from .binding.pylibcugraphops_ext import *


## CLEAN-UP BEGIN ############################################################
# clean up references from the typing module
# it's important to register this function *after* including the extension
# module, since this will run the function *before* nanobind's clean-up
# see https://github.com/wjakob/nanobind/issues/69
def _typing_cleanup():
    import typing
    for cleanup in typing._cleanups:
        cleanup()

import atexit
atexit.register(_typing_cleanup)
## CLEAN-UP END ##############################################################

# versioneer: config in pyproject.toml
# pip install versioneer==0.26, versioneer install --vendor
from . import _version
__version__ = _version.get_versions()['version']
del _version
